# `jcgruenhage.cloudflare_ddns_service`

Dynamic DNS using Cloudflare, running in Docker.

## Role Variables

- **cloudflare_ddns_api_token**: API token with access to the zone
- **cloudflare_ddns_domain**: Domain for which to update the record
- **cloudflare_ddns_zone**: Zone which contains the domain
- **cloudflare_ddns_ipv4**: Whether to set v4 record, defaults to true
- **cloudflare_ddns_ipv6**: Whether to set v6 record, defaults to false

## Example Playbook

```yaml
- hosts: servers
  roles:
  - role: jcgruenhage.base.cloudflare_ddns_service
    cloudflare_ddns_api_token: your-token-here
    cloudflare_ddns_zone: example.org
    cloudflare_ddns_domain: host.example.org
```

## License

CNPLv7+

## Author Information

Jan Christian Grünhage <jan.christian@gruenhage.xyz>
